package com.coherentlogic.fred.client.db.integration.dao;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.coherentlogic.fred.client.core.domain.Observations;

/**
 * Data access pattern implementation for {@link Observations} objects.
 *
 * @author <a href="support@coherentlogic.com">Support</a>
 */
@Component(value="observationsDAO")
@Transactional
public class ObservationsDAO extends DefaultDAO<Observations> {

    @Override
    public Observations find (long primaryKey) {
        return find(Observations.class, primaryKey);
    }
}
